<?php
/* ==================================================== ##
##            COPYRIGHTS © ZAPms PHP TEAM               ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

//------------------------------------------------------------
class News {
	var $array_news = array();
	var $news_id;
	var $query_filter;
	var $query_order;
	var $query_limit;
	var $query;
	var $db_prefix;
	var $day_short_en;
	var $day_short_de;
	var $day_short_ru;
//------------------------------------------------------------
	function News($db_prefix = '') {
		$this->db_prefix = $db_prefix;
		$this->query_filter = 'WHERE 1';
		$this->query_order = '';
		$this->query_limit = '';
		$this->entry_id = 0;
		
		$this->day_short_en = array('Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa');
		$this->day_short_de = array('So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa');
		$this->day_short_ru = array('Вс', 'Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб');
	}
//------------------------------------------------------------
	function executeNewsQuery() {
		$this->query = 'SELECT
		 '.$this->db_prefix.'news.id AS id,
		 '.$this->db_prefix.'news.user AS user,
		 '.$this->db_prefix.'news.category_id AS category_id,
		 '.$this->db_prefix.'news.title AS title,
		 '.$this->db_prefix.'news.description AS description,
		 '.$this->db_prefix.'news.full_description AS full_description,
		 '.$this->db_prefix.'news.image AS image,
		 '.$this->db_prefix.'news.priority AS priority,
		 '.$this->db_prefix.'news.ui_lang AS ui_lang,
		 '.$this->db_prefix.'news.status AS status,
		 '.$this->db_prefix.'news.starttime AS starttime,
		 '.$this->db_prefix.'news.createtime AS createtime,
		 '.$this->db_prefix.'news.modifytime AS modifytime
		 FROM '.$this->db_prefix.'news '.$this->query_filter.$this->query_order.$this->query_limit;
		//print $this->query;
		$result = mysql_query($this->query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function makeNewsArray() {
		$result = $this->executeNewsQuery();
		$count = 0;
		$tmp_array = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$row['start_date'] = date("d.m.Y", $row['starttime']);
					$row['start_day'] = $this->getWeekDayShort(date("w", $row['start_date']), $row['ui_lang']);
					$row['start_time'] = date("H:i", $row['starttime']);
					$tmp_array = array_pad($tmp_array, $count, $row);
				}
			}
			$this->array_news = $tmp_array;
			unset($tmp_array);
			//print_r($this->array_news);
			mysql_free_result($result);
		}
	}
//------------------------------------------------------------
	function getNewsArray() {
		if (!$this->query_order) $this->query_order = ' ORDER BY '.$this->db_prefix.'news.priority, '.$this->db_prefix.'news.createtime DESC, '.$this->db_prefix.'news.title';
		$this->makeNewsArray();
		return ($this->array_news);
	}
//------------------------------------------------------------
	function setFilterById($news_id) {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.id='.$news_id;
	}
//------------------------------------------------------------
	function setFilterByCategoryId($category_id) {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.category_id='.$category_id;
	}
//------------------------------------------------------------
	function setFilterByTitle($title = '') {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.title=\''.$title.'\'';
	}
//------------------------------------------------------------
	function setFilterByUser($user = '') {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.user=\''.$user.'\'';
	}
//------------------------------------------------------------
	function setFilterByStatus($status) {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.status=\''.$status.'\'';
	}
//------------------------------------------------------------
	function setFilterByLang($lang) {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.ui_lang=\''.$lang.'\'';
	}
//------------------------------------------------------------
	function setFilterByNotStatus() {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.status>\'0\' AND '.$this->db_prefix.'news.status<\'3\' AND '.$this->db_prefix.'news.starttime>'.(time()-86400);
	}
//------------------------------------------------------------
	function setFilterValid() {
		$this->query_filter .= ' AND '.$this->db_prefix.'news.status>\'0\' AND '.$this->db_prefix.'news.status<\'3\' AND '.$this->db_prefix.'news.starttime<'.(time()-86400);
	}
//------------------------------------------------------------
	function setLimit($start = 0, $count = 0) {
		$this->query_limit .= ' LIMIT '.$start.', '.$count;
	}
//------------------------------------------------------------
	function getWeekDayShort($i, $lang = 'de') {
		switch($lang) {
			case 'de':
				return $this->day_short_de[$i];
			break;
			case 'ru':
				return $this->day_short_ru[$i];
			break;
			default:
				return $this->day_short_en[$i];
		}
	}
//------------------------------------------------------------
	function getNewsInfo($news_id = 0) {
		$this->resetFilter();
		$this->resetOrder();
		$this->setFilterById($news_id);
		$result = $this->executeNewsQuery();
		$news_info = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				$news_info = mysql_fetch_assoc($result);
				$news_info['start_date'] = date("d.m.Y", $news_info['starttime']);
				$news_info['start_day'] = $this->getWeekDayShort(date("w", $news_info['start_date']), $news_info['ui_lang']);
				$news_info['start_time'] = date("H:i", $news_info['starttime']);
				mysql_free_result($result);
			}
		}
		//print_r($news_info);
		return ($news_info);
	}
//------------------------------------------------------------
	function setSearch($array_db) {
		$this->query_order = '';
		while (list($var, $param) = @each($array_db)) {
			if ($var != 'page') { //pager
			if ($var == 'sort' && $param) {
				$this->query_order = $this->db_prefix.'news.'.substr($param,3).((substr($param,0,2) == 'up') ? ' ASC, ' : ' DESC, ');
				} else if ($param) {
					$this->query_filter .= ' AND '.$this->db_prefix.'news.'.$var.' LIKE \'%'.$param.'%\'';
				}
			}
		}
		if ($this->query_order) $this->query_order = ' ORDER BY '.$this->query_order.$this->db_prefix.'news.id DESC';
	}
//------------------------------------------------------------
	function setSearchCategory($array_db) {
		$q = ' AND (0';
		while (list($var, $param) = @each($array_db)) {
			$q .= ' OR '.$this->db_prefix.'news.category_id=\''.$param['id'].'\'';
		}
		$q .= ')';
		$this->query_filter .= $q;
	}
//------------------------------------------------------------
	function setSearchStatus($status) {
		if ($status)
			$this->query_filter .= ' AND '.$this->db_prefix.'news.status=\''.$status.'\'';
	}
//------------------------------------------------------------
	function resetFilter() {
		$this->query_filter = 'WHERE 1';
	}
//------------------------------------------------------------
	function resetOrder() {
		$this->query_order = '';
	}
//------------------------------------------------------------
	function resetLimit() {
		$this->query_limit = '';
	}
//------------------------------------------------------------
	function insertNews($array_db) {
		$query_insert = 'INSERT INTO '.$this->db_prefix.'news (';
		$query_values = ' VALUES (';
		while( list($var, $param) = @each($array_db) ) {
			$query_insert .= $var.', ';
			$query_values .= $param.', ';
		}
		$query_insert = substr($query_insert, 0, -2).')'.substr($query_values, 0, -2).')';
		//print $query_insert;
		$result = mysql_query($query_insert) or 0;
		return (($result)?(mysql_insert_id()):(0));
	}
//------------------------------------------------------------
	function updateNews($array_db) {
		$query = 'UPDATE '.$this->db_prefix.'news SET ';
		while( list($var, $param) = @each($array_db) ) {
			$query .= $var.'='.$param.', ';
		}
		$query = substr($query, 0, -2).' '.$this->query_filter;
		//print $query;
		$result = mysql_query($query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function cleanNews() {
		$query = 'SELECT n.id FROM '.$this->db_prefix.'news n LEFT JOIN '.$this->db_prefix.'menu m ON n.category_id=m.id WHERE m.id IS NULL';
		//print $query;
		$list = '';
		$result = mysql_query($query) or 0;
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$list .= $row['id'].', ';
				}
				$list = substr($list, 0, -2);
				mysql_free_result($result);
			}
		}
		if ($list) {
			$query = 'UPDATE '.$this->db_prefix.'news n SET n.category_id=0 WHERE n.id IN ('.$list.')';
			//print $query;
			$result = mysql_query($query) or 0;
		}
		return ($list);
	}
//------------------------------------------------------------
	function deleteNews($news_id = 0) {
		if ($news_id)
			$query = 'DELETE FROM '.$this->db_prefix.'news WHERE id='.$news_id;
		else
			$query = 'DELETE FROM '.$this->db_prefix.'news '.$this->query_filter;
		//print $query;
		$result = mysql_query($query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function getCountNews() {
		$query = 'SELECT COUNT('.$this->db_prefix.'news.id) AS count FROM '.$this->db_prefix.'news '.$this->query_filter;
		//print $query;
		$result = mysql_query($query) or 0;
		if ($result) {
			if (mysql_num_rows($result))
				$tmp = mysql_fetch_assoc($result);
			mysql_free_result($result);
		}
		return ($tmp['count']);
	}
//------------------------------------------------------------
}
?>
