<?php
/* ==================================================== ##
##            COPYRIGHTS © ZAPms PHP TEAM               ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

//------------------------------------------------------------
class Products {
	var $array_products = array();
	var $product_id;
	var $query_filter;
	var $query_order;
	var $query_limit;
	var $query;
	var $db_prefix;
	var $dec_point;
	var $thousands_sep;
	var $theme_ids;
//------------------------------------------------------------
	function Products($db_prefix = '', $dec_point = ',', $thousands_sep = ' ') {
		$this->db_prefix = $db_prefix;
		$this->query_filter = 'WHERE 1';
		$this->query_order = ' ';
		$this->query_limit = ' ';
		$this->entry_id = 0;
		$this->dec_point = $dec_point;
		$this->thousands_sep = $thousands_sep;
		$this->theme_ids = array();
	}
//------------------------------------------------------------
	function executeProductsQuery() {
		$this->query = 'SELECT
		 pr.id AS id,
		 pr.category_id AS category_id,
		 pr.category_1_id AS category_1_id,
		 pr.category_2_id AS category_2_id,
		 pr.category_3_id AS category_3_id,
		 pr.category_4_id AS category_4_id,
		 pr.category_5_id AS category_5_id,
		 pr.category_6_id AS category_6_id,
		 pr.priority AS priority,
		 pr.title AS title,
		 pr.name AS name,
		 pr.number AS number,
		 pr.details_link AS details_link,
		 pr.brief_description AS brief_description,
		 pr.full_description AS full_description,
		 pr.image AS image,
		 pr.price AS price,
		 pr.price_1 AS price_1,
		 pr.price_2 AS price_2,
		 pr.price_3 AS price_3,
		 pr.price_4 AS price_4,
		 pr.price_5 AS price_5,
		 pr.price_6 AS price_6,
		 pr.count AS count,
		 pr.count_1 AS count_1,
		 pr.count_2 AS count_2,
		 pr.count_3 AS count_3,
		 pr.count_4 AS count_4,
		 pr.count_5 AS count_5,
		 pr.count_6 AS count_6,
		 pr.tax AS tax,
		 pr.price*100/(100+pr.tax) AS price_netto,
		 pr.price_1*100/(100+pr.tax) AS price_netto_1,
		 pr.price_2*100/(100+pr.tax) AS price_netto_2,
		 pr.price_3*100/(100+pr.tax) AS price_netto_3,
		 pr.price_4*100/(100+pr.tax) AS price_netto_4,
		 pr.price_5*100/(100+pr.tax) AS price_netto_5,
		 pr.price_6*100/(100+pr.tax) AS price_netto_6,
		 pr.total_count AS total_count,
		 pr.sold_count AS sold_count,
		 pr.interest_count AS interest_count,
		 pr.note AS note,
		 pr.status AS status,
		 pr.special AS special,
		 pr.currency AS currency,
		 pr.bonus AS bonus,
		 pr.spec_delivery AS spec_delivery,
		 pr.modifytime AS modifytime
		 FROM '.$this->db_prefix.'products pr '.$this->query_filter.$this->query_order.$this->query_limit;
		//print $this->query;
		$result = mysql_query($this->query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function makeProductsArray() {
		$result = $this->executeProductsQuery();
		$count = 0;
		$tmp_array = array();
		$tmp_prop = '';
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$row['price'] = number_format($row['price'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_1'] = number_format($row['price_1'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_2'] = number_format($row['price_2'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_3'] = number_format($row['price_3'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_4'] = number_format($row['price_4'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_5'] = number_format($row['price_5'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_6'] = number_format($row['price_6'], 2, $this->dec_point, $this->thousands_sep);
					$row['tax'] = number_format($row['tax'], 2, $this->dec_point, $this->thousands_sep).'%';
					$row['price_netto'] = number_format($row['price_netto'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_1'] = number_format($row['price_netto_1'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_2'] = number_format($row['price_netto_2'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_3'] = number_format($row['price_netto_3'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_4'] = number_format($row['price_netto_4'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_5'] = number_format($row['price_netto_5'], 2, $this->dec_point, $this->thousands_sep);
					$row['price_netto_6'] = number_format($row['price_netto_6'], 2, $this->dec_point, $this->thousands_sep);
					$row['property'] = strpos($row['name'],'#') ? (trim(substr($row['name'], strpos($row['name'],'#')+1, strlen($row['name'])))) : ('');
					$row['properties'] = '';
					$row['name'] = strpos($row['name'],'#') ? (substr($row['name'], 0, (strpos($row['name'],'#')-strlen($row['name'])))) : ($row['name']);
					$tmp_array = array_pad($tmp_array, $count, $row);
				}
			}
			$this->array_products = $tmp_array;
			unset($tmp_array);
			//print_r($this->array_products);
			mysql_free_result($result);
		}
	}
//------------------------------------------------------------
	function getProductsArray() {
		$this->query_order = ' ORDER BY pr.priority, pr.priority, pr.title, pr.name';
		$this->makeProductsArray();
		return ($this->array_products);
	}
//------------------------------------------------------------
	function getProductsArrayByName() {
		$this->query_order = ' ORDER BY pr.title, pr.name';
		$this->makeProductsArray();
		return ($this->array_products);
	}
//------------------------------------------------------------
	function setGroupByTitle() {
		$this->query_filter .= ' GROUP BY pr.title';
	}
//------------------------------------------------------------
	function setFilterById($product_id) {
		$this->query_filter .= ' AND pr.id='.$product_id;
	}
//------------------------------------------------------------
	function setFilterByCategoryId($category_id) {
		$this->query_filter .= ' AND pr.category_id='.$category_id;
	}
//------------------------------------------------------------
	function setFilterByStatus($status) {
		$this->query_filter .= ' AND pr.status=\''.$status.'\'';
	}
//------------------------------------------------------------
	function setFilterByNotStatus() {
		$this->query_filter .= ' AND pr.status>\'1\'';
	}
//------------------------------------------------------------
	function setFilterByCount() {
		$this->query_filter .= ' AND pr.total_count>pr.sold_count';
	}
//------------------------------------------------------------
	function setFilterByNotCount() {
		$this->query_filter .= ' AND pr.total_count<=pr.sold_count';
	}
//------------------------------------------------------------
	function setFilterByTitle($title) {
		$this->query_filter .= ' AND pr.title=\''.$title.'\'';
	}
//------------------------------------------------------------
	function setFilterByName($name) {
		$this->query_filter .= ' AND pr.name=\''.$name.'\'';
	}
//------------------------------------------------------------
	function setFilterByModifyTime($modifytime) {
		$this->query_filter .= ' AND pr.modifytime='.$modifytime;
	}
//------------------------------------------------------------
	function setLimit($start = 0, $count = 0) {
		$this->query_limit .= ' LIMIT '.$start.', '.$count;
	}
//------------------------------------------------------------
	function setSearch($array_db) {
		while (list($var, $param) = @each($array_db)) {
			if ($param)
				$this->query_filter .= ' AND pr.'.$var.' LIKE \'%'.$param.'%\'';
		}
	}
//------------------------------------------------------------
	function setSearchSpecial($special=0) {
		if ($special)
			$this->query_filter .= ' AND pr.special=\'1\'';
	}
//------------------------------------------------------------
	function setSearchTitle($title) {
		if ($title)
			$this->query_filter .= ' AND pr.title LIKE \'%'.$title.'%\'';
	}
//------------------------------------------------------------
	function setSearchName($name) {
		if ($name)
			$this->query_filter .= ' AND pr.name LIKE \'%'.$name.'%\'';
	}
//------------------------------------------------------------
	function setSearchCategory($category_id) {
		if ($category_id > 1)
			$this->query_filter .= ' AND (pr.category_id='.$category_id.'
			OR pr.category_1_id='.$category_id.'
			OR pr.category_2_id='.$category_id.'
			OR pr.category_3_id='.$category_id.'
			OR pr.category_4_id='.$category_id.'
			OR pr.category_5_id='.$category_id.'
			OR pr.category_6_id='.$category_id.')';
	}
//------------------------------------------------------------
	function setSearchStatus($status) {
		if ($status)
			$this->query_filter .= ' AND pr.status=\''.$status.'\'';
	}
//------------------------------------------------------------
	function resetFilter() {
		$this->query_filter = 'WHERE 1';
	}
//------------------------------------------------------------
	function resetOrder() {
		$this->query_order = ' ';
	}
//------------------------------------------------------------
	function resetLimit() {
		$this->query_limit = ' ';
	}
//------------------------------------------------------------
	function getProductInfo($product_id = 0) {
		$this->resetFilter();
		$this->resetOrder();
		$this->setFilterById($product_id);
		$result = $this->executeProductsQuery();
		$product_info = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				$product_info = mysql_fetch_assoc($result);
				$product_info['price_str'] = number_format($product_info['price'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_1_str'] = number_format($product_info['price_1'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_2_str'] = number_format($product_info['price_2'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_3_str'] = number_format($product_info['price_3'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_4_str'] = number_format($product_info['price_4'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_5_str'] = number_format($product_info['price_5'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_6_str'] = number_format($product_info['price_6'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_str'] = number_format($product_info['price_netto'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_1_str'] = number_format($product_info['price_netto_1'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_2_str'] = number_format($product_info['price_netto_2'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_3_str'] = number_format($product_info['price_netto_3'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_4_str'] = number_format($product_info['price_netto_4'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_5_str'] = number_format($product_info['price_netto_5'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['price_netto_6_str'] = number_format($product_info['price_netto_6'], 2, $this->dec_point, $this->thousands_sep);
				$product_info['count'] = $product_info['count'];
				$product_info['count_1'] = $product_info['count_1'];
				$product_info['count_2'] = $product_info['count_2'];
				$product_info['count_3'] = $product_info['count_3'];
				$product_info['count_4'] = $product_info['count_4'];
				$product_info['count_5'] = $product_info['count_5'];
				$product_info['count_6'] = $product_info['count_6'];
				$product_info['property'] = strpos($product_info['name'],'#') ? (trim(substr($product_info['name'], strpos($product_info['name'],'#')+1, strlen($product_info['name'])))) : ('');
				$product_info['name'] = strpos($product_info['name'],'#') ? (substr($product_info['name'], 0, (strpos($product_info['name'],'#')-strlen($product_info['name'])))) : ($product_info['name']);
				mysql_free_result($result);
			}
		}
		return ($product_info);
	}
//------------------------------------------------------------
	function insertProducts($array_db) {
		$query_insert = 'INSERT INTO '.$this->db_prefix.'products (';
		$query_values = ' VALUES (';
		while( list($var, $param) = @each($array_db) ) {
			$query_insert .= $var.', ';
			$query_values .= $param.', ';
		}
		$query_insert = substr($query_insert, 0, -2).')'.substr($query_values, 0, -2).')';
		//print $query_insert;
		$result = mysql_query($query_insert) or 0;
		return (($result)?(mysql_insert_id()):(0));
	}
//------------------------------------------------------------
	function updateProducts($array_db) {
		$query = 'UPDATE '.$this->db_prefix.'products SET ';
		while( list($var, $param) = @each($array_db) ) {
			$query .= $var.'='.$param.', ';
		}
		$query = substr($query, 0, -2).' '.$this->query_filter;
		//print $query;
		$result = mysql_query($query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function getTitleProducts() {
		$count = 0;
		$tmp_array = array();
		$tmp_name = '';
		$query = 'SELECT pr.id AS id, pr.title AS title, pr.name AS name FROM '.$this->db_prefix.'products pr '.$this->query_filter;
		//print $query;
		$result = mysql_query($query) or 0;
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$tmp_name = $row['name'];
					$tmp_array = array_pad($tmp_array, $count, array(
							'id' => $row['id'],
							'title' => $row['title'],
							'name' => (strpos($tmp_name,'#'))?(trim(substr($tmp_name, 0, (strpos($tmp_name,'#')-strlen($tmp_name))))):($tmp_name)
							));
				}
			}
			mysql_free_result($result);
		}
		return ($tmp_array);
	}
//------------------------------------------------------------
}
?>
