DROP TABLE IF EXISTS {$db_prefix}_clients;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_clients (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3') NOT NULL default '0',
  news enum('0','1') NOT NULL default '0',
  bonus int(11) NOT NULL default '0',
  bonus_flag enum('0','1') NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  surname varchar(64) NOT NULL default '',
  title varchar(32) NOT NULL default '',
  reference varchar(8) NOT NULL default '',
  firme varchar(64) NOT NULL default '',
  email varchar(127) default NULL,
  password varchar(255) NOT NULL default '',
  tel varchar(64) default NULL,
  street varchar(100) default NULL,
  zip varchar(32) default NULL,
  city varchar(40) default NULL,
  country varchar(32) default NULL,
  name_alternate varchar(64) NOT NULL default '',
  surname_alternate varchar(64) NOT NULL default '',
  title_alternate varchar(32) NOT NULL default '',
  reference_alternate varchar(8) NOT NULL default '',
  firme_alternate varchar(64) NOT NULL default '',
  tel_alternate varchar(64) default NULL,
  street_alternate varchar(100) default NULL,
  zip_alternate varchar(32) default NULL,
  city_alternate varchar(40) default NULL,
  country_alternate varchar(32) default NULL,
  birthday int(11) NOT NULL default '0',
  last_ordertime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  lastvisit int(11) NOT NULL default '0',
  addition text,
  partner varchar(127) default NULL,
  partner_id int(4) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY status (status),
  UNIQUE KEY email (email)
);;

INSERT INTO {$db_prefix}_clients VALUES
('10000', '2', '0', '0', '0', 'Muster', 'Muster', '', '', '', 'muster@muster.net', 'c4ca4238a0b923820dcc509a6f75849b', 'Muster', 'Muster', 'Muster', 'Muster', 'Muster', '', '', '', '', '', '', '', '', '', '', '1282950000', '0', '1282987038', '0', '', '', '0');;


DROP TABLE IF EXISTS {$db_prefix}_config;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_config (
  id int(4) NOT NULL auto_increment,
  dtree_id int(4) NOT NULL default '0',
  param varchar(32) NOT NULL default '0',
  value text,
  description varchar(127) default NULL,
  tip varchar(127) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY param (param),
  KEY dtree_id (dtree_id)
);;

INSERT INTO {$db_prefix}_config (dtree_id, param, value, description, tip) VALUES

(1, 'site_url', '{$site_url}', 'URL', 'http://domain'),
(1, 'site_alias', '{$site_alias}', 'ALIAS', 'http://www.domain'),
(1, 'site_title', '{$site_title}', 'Titel', 'Titel'),
(1, 'site_description', '{$site_description}', 'Beschreibung', 'Satz1, Satz2, ...'),
(1, 'site_keywords', '{$site_keywords}', 'Keywords', 'Wort1, Wort2, ...'),
(1, 'site_dir', '{$site_dir}', 'Domainpfad', '/home/domain/htdocs/'),
(1, 'design_dir', 'files/templates/', 'Webseite-Layout', 'templates/'),
(1, 'files_dir', 'files/content/', 'Webseite-Inhalt', 'files/'),
(1, 'sys_img', 'files/images/', 'Webseite-Bilder', 'files/img/'),
(1, 'usr_img', 'files/content/images/', 'Benutzer-Bilder', 'files/usr/img/'),
(1, 'usr_tpl', 'files/content/templates/', 'Benutzer-Layout', 'files/usr/tpl/'),
(1, 'sess_expire', '240', 'Sessiondauer', 'sec.'),
(1, 'spam_expire', '10', 'Spamschutzdauer', 'min.'),
(1, 'msg_lang', 'de', 'Sprache', 'de, en, ru'),
(1, 'sys_email', '{$email}', 'System Post', 'support@domain.de'),
(1, 'zap_ver', '{$site_ver}', 'ZAPcms Version', 'vX.XX dd.mm.yyyy'),
(1, 'zap_theme', 'core_blue', 'ZAPcms Layout Theme', 'core, core_yellow, core_blue'),
(1, 'csv_separator', ';', 'CSV Separator', ';/,'),
(1, 'chr_set', 'UTF-16LE', 'Export char set', 'UTF-8/UTF-16LE,'),
(1, 'format_dec_point', ',', 'Dezimal Separator', './,'),
(1, 'format_thousands_sep', '.', 'Tausend Separator', ',/.'),
(1, 'entry_id_default', '4', 'Default entry_id', '4'),
(1, 'email_style', 'background-color:#fff;color:#000;', 'E-Mail style', 'color:#000;'),
(1, 'preview_size', 'width:950px;height:760px;', 'Preview Aufl&ouml;sung', 'width:800px;height:600px;'),
(1, 'sys_currency', 'EUR', 'Währung', 'EUR/USD/CHF/RUR'),

(10, 'fm_dir', 'files/content/', 'Verwaltung', 'files/'),

(20, 'mnu_home', 'home', 'Start Menüpunkt', 'Home'),
(20, 'mnu_mode', '', 'Benutzerregime', 'ja, -leer-'),
(20, 'mnu_category', '', 'Kategorie', 'En, Menu'),
(20, 'mnu_sourcetype', 'static', 'Menütyp', 'static, dynamic, modul, url'),
(20, 'mnu_variables', 'language=de', 'Variabel', 'language=de'),
(20, 'mnu_pattern', '{$layout}', 'Layout Schablone', 'site_default.tpl'),
(20, 'mnu_pattern_1', 'menu_top_de.tpl', 'Menü Oben Schablone', 'menu_top.tpl'),
(20, 'mnu_pattern_2', 'menu_main_de.tpl', 'Menü Main Schablone', 'menu_main.tpl'),
(20, 'mnu_pattern_3', '', 'Submenü Schablone', 'menu_sub.tpl'),
(20, 'mnu_pattern_4', 'content_default.tpl', 'Inhalt Schablone 1', 'content_default.tpl'),
(20, 'mnu_pattern_5', '', 'Inhalt Schablone 2', 'content_add.tpl'),

(30, 'cln_list', '20', 'Einträge pro Adminseite', 'Anzahl'),
(30, 'cln_count', '5', 'Einträge pro Benutzerseite', 'Anzahl'),
(30, 'cln_subj', 'Neuer Kunde', 'Betreff', 'Wunschgemäß'),
(30, 'cln_to', '{$email}', 'E-mail An', 'E-mail'),
(30, 'cln_reply', '{$email}', 'E-mail Reply', 'E-mail'),
(30, 'cln_cc', '', 'E-mail Cc', 'E-mail'),
(30, 'cln_bcc', '', 'E-mail Bcc', 'E-mail'),
(30, 'cln_status', '0=---;1=Inaktiv;2=Aktiv;3=Partner', 'Status', 'id=Aktiv/Inaktiv/Neu'),

(40, 'gsb_list', '20', 'Einträge pro Adminseite', 'Anzahl'),
(40, 'gsb_count', '8', 'Einträge pro Benutzerseite', 'Anzahl'),
(40, 'gsb_subj', 'Neuer Eintrag im Gaestebuch', 'Gaestebuch Betreff', 'Wunschgemäß'),
(40, 'gsb_to', '{$email}', 'E-mail An', 'E-mail'),
(40, 'gsb_reply', '{$email}', 'E-mail Reply', 'E-mail'),
(40, 'gsb_cc', '', 'E-mail Cc', 'E-mail'),
(40, 'gsb_bcc', '', 'E-mail Bcc', 'E-mail'),
(40, 'gsb_status', '0=---;1=Inaktiv;2=Aktiv;3=Neu;4=Kontakt', 'Einträgestatus', 'id=Aktiv/Inaktiv/Neu'),

(60, 'cnt_subj', 'Eine Nachricht ueber Kontakt', 'Kontakt Betreff', 'Wunschgemäß'),
(60, 'cnt_to', '{$email}', 'E-mail An', 'E-mail'),
(60, 'cnt_reply', '{$email}', 'E-mail Reply', 'E-mail'),
(60, 'cnt_cc', '', 'E-mail Cc', 'E-mail'),
(60, 'cnt_bcc', '', 'E-mail Bcc', 'E-mail'),
(60, 'cnt_name', '{$cnt_name}', 'Name', 'Vorname Name'),
(60, 'cnt_firme', '{$cnt_firme}', 'Firma', 'Firma GmbH'),
(60, 'cnt_address', '{$cnt_address}', 'Strasse/Hausnummer', 'Weg str. 10'),
(60, 'cnt_zip', '{$cnt_zip}', 'PLZ', '12345'),
(60, 'cnt_city', '{$cnt_city}', 'Ort', 'Frankfurt'),
(60, 'cnt_country', '{$cnt_country}', 'Land', 'Deutschland'),
(60, 'cnt_tel', '{$cnt_tel}', 'Telefon', '+49 12 1234567'),
(60, 'cnt_fax', '{$cnt_fax}', 'Fax', '+49 12 1234567'),
(60, 'cnt_tax_num', '{$cnt_tax_num}', 'Steuernummer', '12345/12345'),
(60, 'cnt_vat_num', '{$cnt_vat_num}', 'USt. ID', 'de 123456789'),
(60, 'cnt_com_num', '{$cnt_com_num}', 'Handelsregister', 'HRB 123456'),
(60, 'cnt_bank', '{$cnt_bank}', 'Bank', 'Muster Bank'),
(60, 'cnt_blz', '{$cnt_blz}', 'BLZ', '12345678'),
(60, 'cnt_account', '{$cnt_account}', 'Kontonummer', '1234567'),
(60, 'cnt_iban', '{$cnt_iban}', 'IBAN', 'DE12345678'),
(60, 'cnt_bic', '{$cnt_bic}', 'BIC', 'MUSTER'),

(120, 'nwl_to', '{$email}', 'E-mail An', 'E-mail'),
(120, 'nwl_reply', '{$email}', 'E-mail Reply', 'E-mail'),
(120, 'nwl_cc', '', 'E-mail Cc', 'E-mail'),
(120, 'nwl_bcc', '', 'E-mail Bcc', 'E-mail'),
(120, 'nwl_subj_req', 'Newsletter Anmeldung', 'Betreff, Newsletter anmelden', 'Anmeldung'),
(120, 'nwl_tpl_req', 'Email_Newsletter_Request.tpl', 'Anmeldung Email', 'template.tpl'),
(120, 'nwl_subj_cancel', 'Newsletter Sperre', 'Betreff, Newsletter speren', 'Sperre'),
(120, 'nwl_tpl_cancel', 'Email_Newsletter_Reject.tpl', 'Sperre Email', 'template.tpl'),
(120, 'nwl_list', '30', 'Einträge pro Adminseite', 'Anzahl'),
(120, 'nwl_count', '10', 'Briefanzahl auf einmal', 'Stück'),
(120, 'nwl_period', '10', 'Period der Sendungen', 'sec.'),
(120, 'nwl_status', '1=Neu;2=Aktiv;3=Inaktiv;4=Beendet', 'Status', 'id=Aktiv/Inaktiv/Neu'),
(120, 'nwl_def_name', 'Sehr geehrtes Mitglied', 'Anrede Default', 'Dear colleagues'),
(120, 'nwl_separator_name', ',', 'Name Separator', '=/;/,'),
(120, 'nwl_separator_email', ';', 'Email-Adresse Separator', ',/=/;'),
(120, 'nwl_email_style', 'background-color:#fff;color:#000;', 'E-Mail style', 'color:#000;'),

(101, 'nwe_status', '0=---;1=Inactive;2=Aktiv;3=Zurückgezogen', 'E-Mail Status', 'id=Aktiv/Inaktiv/Neu'),
(101, 'nwe_list', '30', 'Einträge pro Adminseite', 'Anzahl'),
(101, 'nwe_group', 'News; Sales', 'Newsletter Gruppe', 'News; Sales'),

(313, 'nws_list', '30', 'Eintr&auml;ge pro Adminseite', 'Anzahl'),
(313, 'nws_status', '0=---; 1=Aktiv; 2=Neu; 3=Inaktiv; 4=Archive', 'Status', 'id=Aktiv/Inaktiv/Archive'),

(300, 'cmn_list', '30', 'Eintr&auml;ge pro Adminseite', 'Anzahl'),
(300, 'cmn_status', '0=---; 1=Aktiv; 2=Neu; 3=Inaktiv; 4=Archive', 'Status', 'id=Aktiv/Inaktiv/Archive'),

(122, 'img_status', '0=---; 1=Inaktiv; 2=Aktiv; 3=Neu', 'Einträgestatus', 'id=Aktiv/Inaktiv/Neu'),
(122, 'img_prop', '500=500xXXX; 800=800xXXX; 200=200xXXX; 100=100xXXX; 1=1 zu 1', 'Bildgröße', '250xXXX=250'),
(122, 'img_quality', '90', 'Qualit&auml;t', '85'),

(110, 'upl_dir', 'zap/', 'Verzeichnis der .htaccess', 'zap/'),
(110, 'upl_users', 'Usr001:6ESpzbKD; Usr002:CNZXbM85; Usr003:4s7jAqWT', 'Benutzerliste', 'Benutzer/Passwort');;


DROP TABLE IF EXISTS {$db_prefix}_dtree;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_dtree (
  id int(4) NOT NULL auto_increment,
  priority int(4) NOT NULL default '0',
  parent_id int(4) NOT NULL default '0',
  type_id int(4) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  prefix varchar(4) NOT NULL default '0',
  path text,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  KEY parent_id (parent_id),
  KEY type_id (type_id)
);;

INSERT INTO {$db_prefix}_dtree (id, priority, parent_id, type_id, title, prefix, path, active, description) VALUES
(1, 0, 0, 10, '{$site_url}', 'rtt', 'core/index.php', '1', 'Webseite Titel'),
(2, 100, 1, 20, 'Konfiguration', 'cfg', 'config/index.php', '1', '- Einstellungen des Webservers und die Einstellungen für die Modulen vornehmen.'),
(3, 500, 1, 80, 'Hilfe', 'hlp', 'help/index.php', '1', '- Gemeinsame Information;<br />- Technischer Support;<br />- Teilnehmer.'),
(4, 200, 1, 30, 'Module', 'mdl', 'core/index.php', '1', 'System- und Benutzermodule verwalten.'),
(5, 300, 1, 50, 'Benutzer', 'acc', 'core/index.php', '1', 'Benutzerverwaltung:<br />- Neue Benutzer erstellen;<br />- Benutzervorlagen und Zugriffsregeln verwalten.'),
(6, 301, 5, 40, 'Benutzer', 'usr', 'users/index.php', '1', '- Neue Benutzer registrieren.'),
(7, 302, 5, 40, 'Benutzervorlagen', 'rls', 'roles/index.php', '1', 'Benutzervorlagen verwalten.'),
(8, 600, 1, 90, 'Login', 'lgn', 'users/login.php', '1', 'Melden Sie sich an.'),
(9, 700, 1, 100, 'Logout', 'lgt', 'users/logout.php', '1', 'Melden Sie sich ab.'),
(10, 207, 4, 40, 'Datei-Manager', 'fmn', 'fm/index.php', '1', 'Neue Dateien hochladen. Dateien l&ouml;schen. Inhalte bearbeiten.'),
(20, 201, 4, 40, 'Menü', 'mnu', 'menu/index.php', '1', '- Neuer Men&uuml;punkt erstellen;<br />- Men&uuml;struktur verwalten;<br />- Inhalte der Webseite bearbeiten.'),
(30, 204, 70, 40, 'Kunden', 'cln', 'clients/index.php', '1', 'Hier werden die Kunden verwaltet.'),
(40, 210, 4, 41, 'Gästebuch', 'gsb', 'guestbook/index.php', '1', 'Gästebuch Verwalten.'),
(50, 101, 1, 101, 'Favorites', 'srh', 'core/index.php', '1', 'Hei&szlig;e Links.'),
(60, 216, 4, 41, 'Kontakt', 'cnt', 'contact/index.php', '1', 'Kontakt Informationen.'),
(70, 203, 4, 40, 'Shop', 'shp', 'core/index.php', '1', 'Shop verwalten:<br />- Produkte;<br />- Bestellungen;<br />- Berichte.'),
(80, 1, 70, 41, 'Produkte', 'prd', 'shop/index_products.php', '1', 'Produkte Verwalten.'),
(90, 2, 70, 40, 'Bestellungen', 'bkn', 'shop/index_orders.php', '1', 'Bestellungen Verwalten.'),
(91, 3, 70, 40, 'PayPal', 'ppl', 'shop/index_paypal.php', '1', 'PayPal Informationen.'),
(92, 4, 70, 40, 'Sofort Überweisung', 'sfr', 'shop/index_sofort.php', '1', 'SofortÜberweisung Informationen.'),
(93, 5, 70, 40, 'BIM', 'bim', 'shop/index_bim.php', '1', 'Business Intelligence Modul (Warenwirtschaftssystem).'),
(94, 4, 70, 40, '- Dummy -', 'cnc', 'core/index.php', '1', '- Dummy -'),
(95, 4, 70, 40, 'Master Payment', 'mpt', 'shop/index_masterpayment.php', '1', 'Master Payment Informationen. Kreditkarten Bezahlung.'),
(100, 210, 4, 41, 'Download Media', 'dwn', 'download/index.php', '1', 'Download der Media-Dateien wie Video und grosse Bilder.'),
(110, 3, 200, 40, '.htaccess', 'upl', 'upload/index.php', '1', 'Definition der dezentralen Regelung des Webserver-Verhaltens mit Hilfe von verzeichnis-spezifischen htaccess-Dateien.'),
(120, 212, 4, 40, 'Newsletter', 'nwl', 'newsletter/index.php', '1', 'Hier können die Newsletter verwalten werden.'),
(101, 10, 4, 40, 'Newsletter E-Mails', 'nwe', 'newsletter/index_emails.php', '1', 'Hier können die E-Mail Adressen f&uuml;r Newsletter verwalten werden.'),
(121, 213, 4, 41, '- Dummy -', 'evn', 'core/index.php', '1', '- Dummy -'),
(122, 202, 4, 41, 'Bildergalerie', 'img', 'galery/index.php', '1', 'Hier k&ouml;nnen Sie Ihre Bilder bearbeiten und Galierien verwalten.'),
(200, 220, 1, 60, 'Tools', 'tls', 'core/index.php', '1', 'Verwaltungstools:<br />- Sitzungen;<br />- DB Abfragen;<br />- Zugriffskontrole mit .htaccess.'),
(210, 1, 200, 40, 'Sitzungen', 'ses', 'sessions/index.php', '1', 'Benutzer-Sitzungen.'),
(211, 2, 200, 40, 'Backup', 'bck', 'backup/index.php', '1', 'Abfragen zur Datenbank.'),
(300, 230, 4, 65, 'Kommentare', 'cmn', 'comments/index.php', '1', 'Kommentare auf der Webseite verwalten.'),
(310, 1, 4, 40, '- Dummy -', 'mns', 'core/index.php', '1', '- Dummy -'),
(311, 1, 4, 40, '- Dummy -', 'snk', 'core/index.php', '1', '- Dummy -'),
(312, 1, 4, 40, '- Dummy -', 'prk', 'core/index.php', '1', '- Dummy -'),
(313, 212, 4, 41, 'News', 'nws', 'news/index.php', '1', 'Nachrichten auf der Webseite verwalten.');;


DROP TABLE IF EXISTS {$db_prefix}_dtree_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_dtree_roles (
  id int(4) NOT NULL auto_increment,
  dtree_id int(4) NOT NULL default '0',
  role_id int(4) NOT NULL default '0',
  attr tinyint(4) NOT NULL default '1',
  PRIMARY KEY (id),
  KEY dtree_id (dtree_id),
  KEY role_id (role_id)
);;

INSERT INTO {$db_prefix}_dtree_roles (dtree_id, role_id, attr) VALUES
(1, 1, 4),
(2, 1, 4),
(3, 1, 4),
(4, 1, 4),
(5, 1, 4),
(6, 1, 4),
(7, 1, 4),
(8, 1, 0),
(9, 1, 1),
(10, 1, 4),
(20, 1, 4),
(30, 1, 0),
(40, 1, 4),
(50, 1, 4),
(60, 1, 4),
(70, 1, {$modul_shop}),
(80, 1, {$modul_shop}),
(90, 1, {$modul_shop}),
(91, 1, {$modul_shop}),
(92, 1, {$modul_shop}),
(93, 1, {$modul_shop}),
(94, 1, 0),
(95, 1, {$modul_shop}),
(100, 1, 0),
(101, 1, 4),
(110, 1, 4),
(120, 1, 4),
(121, 1, 0),
(122, 1, 4),
(200, 1, 4),
(210, 1, 4),
(211, 1, 4),
(300, 1, 0),
(310, 1, 0),
(311, 1, 0),
(312, 1, 0),
(313, 1, 4),

(1, 2, 1),
(2, 2, 0),
(3, 2, 1),
(4, 2, 0),
(5, 2, 0),
(6, 2, 0),
(7, 2, 0),
(8, 2, 0),
(9, 2, 1),
(10, 2, 0),
(20, 2, 0),
(30, 2, 0),
(40, 2, 0),
(50, 2, 0),
(60, 2, 0),
(70, 2, {$modul_shop}),
(80, 2, {$modul_shop}),
(90, 2, {$modul_shop}),
(91, 2, {$modul_shop}),
(92, 2, {$modul_shop}),
(93, 2, {$modul_shop}),
(94, 2, 0),
(95, 2, {$modul_shop}),
(100, 2, 0),
(101, 2, 0),
(110, 2, 0),
(120, 2, 0),
(121, 2, 0),
(122, 2, 0),
(200, 2, 0),
(210, 2, 0),
(211, 2, 0),
(300, 2, 0),
(310, 2, 0),
(311, 2, 0),
(312, 2, 0),
(313, 2, 0);;


DROP TABLE IF EXISTS {$db_prefix}_profils;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_profils (
  id int(4) NOT NULL auto_increment,
  user_id int(4) NOT NULL default '0',
  param varchar(127) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '0',
  description varchar(127) default NULL,
  tip varchar(127) default NULL,
  PRIMARY KEY (id),
  KEY user_id (user_id)
);;

INSERT INTO {$db_prefix}_profils (user_id, param, value, description, tip) VALUES
(5, 'rtt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cfg_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'hlp_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mdl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'usr_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'rls_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'lgt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'lgn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'fmn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mnu_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cln_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'gsb_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'shp_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cnt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'srh_sort', 'Menü=20&Bildergalerie=122&Dateien=10&Backup=211&Newsletter=120&News=313&Meldungen=40&Kommentare=300', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'prd_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bkn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'dwn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nwl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nwe_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'tls_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'ses_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'upl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mns_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'ppl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bim_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'sfr_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'evn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'img_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bck_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'gms_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'snk_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'prk_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nws_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cnc_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mpt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),

(100, 'rtt_sort', '0', NULL, NULL),
(100, 'cfg_sort', '0', NULL, NULL),
(100, 'hlp_sort', '0', NULL, NULL),
(100, 'mdl_sort', '0', NULL, NULL),
(100, 'usr_sort', '0', NULL, NULL),
(100, 'rls_sort', '0', NULL, NULL),
(100, 'lgn_sort', '0', NULL, NULL),
(100, 'lgt_sort', '0', NULL, NULL),
(100, 'fmn_sort', '0', NULL, NULL),
(100, 'mnu_sort', '0', NULL, NULL),
(100, 'cln_sort', '0', NULL, NULL),
(100, 'gsb_sort', '0', NULL, NULL),
(100, 'srh_sort', '0', NULL, NULL),
(100, 'cnt_sort', '0', NULL, NULL),
(100, 'shp_sort', '0', NULL, NULL),
(100, 'prd_sort', '0', NULL, NULL),
(100, 'bkn_sort', '0', NULL, NULL),
(100, 'dwn_sort', '0', NULL, NULL),
(100, 'nwl_sort', '0', NULL, NULL),
(100, 'nwe_sort', '0', NULL, NULL),
(100, 'tls_sort', '0', NULL, NULL),
(100, 'ses_sort', '0', NULL, NULL),
(100, 'upl_sort', '0', NULL, NULL),
(100, 'mns_sort', '0', NULL, NULL),
(100, 'ppl_sort', '0', NULL, NULL),
(100, 'bim_sort', '0', NULL, NULL),
(100, 'sfr_sort', '0', NULL, NULL),
(100, 'evn_sort', '0', NULL, NULL),
(100, 'img_sort', '0', NULL, NULL),
(100, 'bck_sort', '0', NULL, NULL),
(100, 'gms_sort', '0', NULL, NULL),
(100, 'snk_sort', '0', NULL, NULL),
(100, 'prk_sort', '0', NULL, NULL),
(100, 'nws_sort', '0', NULL, NULL),
(100, 'cnc_sort', '0', NULL, NULL),
(100, 'mpt_sort', '0', NULL, NULL),

(6, 'rtt_sort', '0', NULL, NULL),
(6, 'cfg_sort', '0', NULL, NULL),
(6, 'hlp_sort', '0', NULL, NULL),
(6, 'mdl_sort', '0', NULL, NULL),
(6, 'usr_sort', '0', NULL, NULL),
(6, 'rls_sort', '0', NULL, NULL),
(6, 'lgn_sort', '0', NULL, NULL),
(6, 'lgt_sort', '0', NULL, NULL),
(6, 'fmn_sort', '0', NULL, NULL),
(6, 'mnu_sort', '0', NULL, NULL),
(6, 'cln_sort', '0', NULL, NULL),
(6, 'gsb_sort', '0', NULL, NULL),
(6, 'srh_sort', 'Menü=20&Bildergalerie=122&Dateien=10&Backup=211&Newsletter=120&News=313&Meldungen=40&Kommentare=300', NULL, NULL),
(6, 'cnt_sort', '0', NULL, NULL),
(6, 'shp_sort', '0', NULL, NULL),
(6, 'prd_sort', '0', NULL, NULL),
(6, 'bkn_sort', '0', NULL, NULL),
(6, 'dwn_sort', '0', NULL, NULL),
(6, 'nwl_sort', '0', NULL, NULL),
(6, 'nwe_sort', '0', NULL, NULL),
(6, 'tls_sort', '0', NULL, NULL),
(6, 'ses_sort', '0', NULL, NULL),
(6, 'upl_sort', '0', NULL, NULL),
(6, 'mns_sort', '0', NULL, NULL),
(6, 'ppl_sort', '0', NULL, NULL),
(6, 'bim_sort', '0', NULL, NULL),
(6, 'sfr_sort', '0', NULL, NULL),
(6, 'evn_sort', '0', NULL, NULL),
(6, 'img_sort', '0', NULL, NULL),
(6, 'bck_sort', '0', NULL, NULL),
(6, 'gms_sort', '0', NULL, NULL),
(6, 'snk_sort', '0', NULL, NULL),
(6, 'prk_sort', '0', NULL, NULL),
(6, 'nws_sort', '0', NULL, NULL),
(6, 'cnc_sort', '0', NULL, NULL),
(6, 'mpt_sort', '0', NULL, NULL);;


DROP TABLE IF EXISTS {$db_prefix}_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_roles (
  id int(4) NOT NULL auto_increment,
  role varchar(64) NOT NULL default 'everyone',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY role (role)
);;

INSERT INTO {$db_prefix}_roles (id, role, description) VALUES
(1, 'Administrator', 'Administrator Vorlage.'),
(2, 'Anonymous', '');;


DROP TABLE IF EXISTS {$db_prefix}_type;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_type (
  id int(4) NOT NULL auto_increment,
  title varchar(16) NOT NULL default '0',
  `open` varchar(255) NOT NULL default '0',
  `close` varchar(255) NOT NULL default '0',
  PRIMARY KEY (id)
);;

INSERT INTO {$db_prefix}_type (id, title, open, close) VALUES
('10', 'Main', 'i20_base', 'i20_base'),
('20', 'Configuration', 'i20_cfg', 'i20_cfg'),
('30', 'Moduls', 'i20_mdl', 'i20_mdl'),
('40', 'Modul', 'i20_open', 'i20_close'),
('41', 'User Modul', 'i20_open', 'i20_close'),
('50', 'Users', 'i20_usr', 'i20_usr'),
('60', 'Tools', 'i20_utl', 'i20_utl'),
('65', 'Games', 'i20_open', 'i20_close'),
('70', 'Tip', 'i20_close', 'i20_close'),
('80', 'Help', 'i20_hlp', 'i20_hlp'),
('90', 'Login', 'i20_login', 'i20_login'),
('100', 'Logout', 'i20_logout', 'i20_logout'),
('101', 'Favorites', 'i20_fav', 'i20_fav');;


DROP TABLE IF EXISTS {$db_prefix}_users;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_users (
  id int(4) NOT NULL auto_increment,
  active enum('0','1') NOT NULL default '0',
  name varchar(127) NOT NULL default '',
  surname varchar(127) NOT NULL default '',
  email varchar(64) default NULL,
  nick varchar(127) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  lastvisit int(11) NOT NULL default '0',
  addition text,
  `local` varchar(8) NOT NULL default 'GMT',
  city varchar(64) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY (nick)
);;


INSERT INTO {$db_prefix}_users (id, active, name, surname, email, nick, password, lastvisit, addition, local, city) VALUES
(5, '1', 'System', 'Administrator', 'andrey@marchenko.de', 'zap305', '5afb23360530034785ce7a0d09f117fa', 1216067264, '', 'GMT', ''),
(100, '1', 'Anonymous', '', '--', 'Anonymous', '5f4dcc3b5aa765d61d8327deb882cf99', 1214897977, '', 'GMT-12', ''),
(6, '1', 'Administrator', '', '--', '{$site_usr}', '{$site_pwd}', 1216029971, '', 'GMT-12', '');;


DROP TABLE IF EXISTS {$db_prefix}_users_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_users_roles (
  user_id int(4) NOT NULL default '0',
  role_id int(4) NOT NULL default '0',
  PRIMARY KEY (user_id),
  KEY role_id (role_id)
);;

INSERT INTO {$db_prefix}_users_roles (user_id, role_id) VALUES
(5, 1),
(100, 2),
(6, 1);;


DROP TABLE IF EXISTS {$db_prefix}_galery;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_galery (
  id int(4) NOT NULL auto_increment,
  priority int(4) NOT NULL default '0',
  status enum('0','1','2','3') NOT NULL DEFAULT '3',
  caption varchar(255) NOT NULL default '',
  filename varchar(255) NOT NULL default '',
  alttext varchar(255) NOT NULL default '',
  folder_id int(4) NOT NULL default '0',
  width varchar(4) NOT NULL default '',
  property varchar(16) NOT NULL default '',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  PRIMARY KEY id (id),
  UNIQUE KEY filename (filename)
);;

INSERT INTO {$db_prefix}_galery (id, priority, status, caption, filename, alttext, folder_id, width, property, createtime, modifytime) VALUES
 ('3', '1', '3', 'bild_shablone.gif', 'bild_shablone.gif', 'Muster', '0', '1', '150x150', '1198064167', '1198064167'),
 ('63', '2', '2', 'ayurveda.jpg', 'ayurveda.jpg', 'ayurvedic-colon-cleaning.com', '599', '800', '800x685', '1330810783', '1350396745'),
 ('70', '1', '2', '01_login.png', '01_login.png', 'Login', '596', '1', '770x400', '1336933912', '1350393330'),
 ('73', '4', '2', '04_menu.png', '04_menu.png', 'Inhalte editieren', '596', '1', '770x400', '1336933913', '1350392898'),
 ('76', '7', '2', '07_tiny_save.png', '07_tiny_save.png', 'Inhalte speichern', '596', '1', '770x400', '1336933915', '1350392924'),
 ('77', '1', '2', 'ZAPms_concept.png', 'ZAPms_concept.png', 'ZAPms Konzept', '596', '1', '770x400', '1336933915', '1350382944'),
 ('79', '8', '2', 'menu_details.jpg', 'menu_details.jpg', 'Menüpunkt editieren', '596', '1', '638x729', '1348596139', '1350392941'),
 ('80', '9', '2', 'galery_list.jpg', 'galery_list.jpg', 'Bildergalerie', '596', '800', '800x385', '1348596425', '1350392949'),
 ('81', '10', '2', 'file_manager_list.jpg', 'file_manager_list.jpg', 'Dateimanager', '596', '800', '800x466', '1348597383', '1350392956'),
 ('84', '13', '2', 'edit_htaccess.jpg', 'edit_htaccess.jpg', '.htaccess und .htpasswd editieren', '596', '800', '800x477', '1348598349', '1350392975'),
 ('85', '8', '2', 'edit_news.jpg', 'edit_news.jpg', 'Nachrichten und News editieren', '596', '1', '758x657', '1348598551', '1350392933');;


DROP TABLE IF EXISTS {$db_prefix}_help;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_help (
  id int(4) NOT NULL auto_increment,
  parent_id int(4) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  path text,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  KEY parent_id (parent_id)
);;

INSERT INTO {$db_prefix}_help (id, parent_id, title, path, active, description) VALUES
(1, 0, 'Informationen', 'info.html', '1', 'Informationen'),
(2, 1, 'Technischer Support', 'support.html', '1', 'Technischer Support'),
(3, 1, 'Teilnehmer', 'credits.html', '1', 'Teilnehmer');;


DROP TABLE IF EXISTS {$db_prefix}_menu;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_menu (
  id int(4) NOT NULL auto_increment,
  parent_id int(4) NOT NULL default '0',
  priority int(4) NOT NULL default '0',
  name varchar(32) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  sourcetype enum('folder','url','static','dynamic','modul') NOT NULL default 'static',
  source text,
  `variables` varchar(127) default NULL,
  pattern varchar(32) default NULL,
  pattern_1 varchar(32) default NULL,
  pattern_2 varchar(32) default NULL,
  pattern_3 varchar(32) default NULL,
  pattern_4 varchar(32) default NULL,
  pattern_5 varchar(32) default NULL,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  keywords varchar(255) default NULL,
  login enum('0','1') NOT NULL default '1',
  role_id int(4) NOT NULL default '1',
  PRIMARY KEY (id),
  KEY parent_id (parent_id)
);;

INSERT INTO {$db_prefix}_menu VALUES
 ('517', '0', '1', 'aufbau', 'Aufbau', 'dynamic', 'Unsere Webseite befindet sich heute in der Wartung.<br />Es wurde leider ein Fehler festgestellt. Schauen Sie bitte morgen noch einmal vorbei.<br />Vielen Dank.', '', 'site_default.tpl', 'menu_top_en.tpl', '', '', 'content_default.tpl', '', '0', '', '1293909996', '1293909996', '', '1', '1'),
 ('568', '0', '3', 'Menu', 'Menu', 'folder', '', '', 'site_default.tpl', '', '', '', '', '', '1', '', '1294233633', '1336925507', '', '1', '1'),
 ('576', '568', '30', 'contact', 'Kontakt', 'modul', 'contact/index.php', 'language=de', 'site_default.tpl', 'menu_top.tpl', '', '', '', 'content_impressum.tpl', '1', '', '1294237394', '1348501839', '', '1', '1'),
 ('596', '568', '3', 'home', 'Startseite', 'static', 'Home-de.html', 'language=de', 'site_default.tpl', 'menu_top.tpl', 'menu_galery.tpl', '', 'content_default.tpl', 'content_news.tpl', '1', '', '1330798999', '1350588290', '', '1', '1'),
 ('599', '568', '4', 'info', 'Info', 'static', 'Doku-de.html', 'language=de', 'site_default.tpl', 'menu_top.tpl', 'menu_galery.tpl', 'content_features.tpl', 'content_default.tpl', '', '1', '', '1330805403', '1350588170', '', '1', '1'),
 ('601', '568', '30', 'feedback', 'Feedback', 'modul', 'guestbook/index.php', 'language=de', 'site_default_wide.tpl', 'menu_top.tpl', 'menu_main.tpl', '', '', '', '1', '', '1294237394', '1348505360', '', '1', '1'),
 ('602', '826', '2', 'footer', 'Footer', 'static', 'footer-de.html', 'language=de', 'site_default.tpl', 'menu_top.tpl', '', 'menu_sub.tpl', 'content_default.tpl', '', '0', '', '1348493222', '1350588091', '', '1', '1'),
 ('605', '0', '1', 'demo', 'Demo', 'url', 'http://www.zapms.de/test', 'language=de', 'content_empty.tpl', '', '', '', '', '', '1', '', '1348508779', '1350411388', '', '1', '1'),
 ('606', '826', '2', 'features', 'Features', 'static', 'features-de.html', 'language=de', 'site_default.tpl', 'menu_top.tpl', 'menu_main.tpl', 'menu_sub.tpl', 'content_default.tpl', '', '0', '', '1348493222', '1350588076', '', '1', '1'),
 ('826', '0', '5', 'Inhalte', 'Inhalte', 'folder', '', '', 'site_default.tpl', '', '', '', '', '', '1', '', '1350583161', '1350583161', '', '1', '1'),
 ('827', '568', '32', 'newsletter', 'Newsletter', 'modul', 'newsletter/index.php', 'language=de', 'site_default_wide.tpl', 'menu_top.tpl', 'menu_main.tpl', '', '', '', '1', '', '1294237394', '1350583355', '', '1', '1');;


DROP TABLE IF EXISTS {$db_prefix}_guestbook;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_guestbook (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3','4') NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  email varchar(64) default NULL,
  web varchar(127) default NULL,
  state varchar(32) NOT NULL default '',
  message text,
  ui_lang varchar(2) NOT NULL default 'de',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  ip varchar(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY (id),
  KEY ip (ip)
);;

INSERT INTO {$db_prefix}_guestbook VALUES('1', '2', 'Muster', '', '', '', 'Muster', 'de', '1283373128', '1283373128', '127.0.0.1');;

DROP TABLE IF EXISTS {$db_prefix}_newsletter;;
CREATE TABLE {$db_prefix}_newsletter (
  id int(4) NOT NULL AUTO_INCREMENT,
  subject varchar(127) NOT NULL DEFAULT '0',
  recipienttype enum('static','dynamic') NOT NULL default 'static',
  recipient text,
  sourcetype enum('static','dynamic') NOT NULL default 'static',
  source text,
  status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
  target_group_id int(4) default '0',
  createtime int(11) NOT NULL DEFAULT '0',
  modifytime int(11) NOT NULL DEFAULT '0',
  KEY subject (subject),
  PRIMARY KEY (id)
);;

DROP TABLE IF EXISTS {$db_prefix}_newsletter_jobs;;
CREATE TABLE {$db_prefix}_newsletter_jobs (
  id int(4) NOT NULL AUTO_INCREMENT,
  newsletter_id int(4) NOT NULL,
  email varchar(64) default NULL,
  reference varchar(127) default NULL,
  status enum('0','1','2') NOT NULL DEFAULT '0',
  description varchar(32),
  modifytime int(11) DEFAULT '0' NOT NULL,
  KEY newsletter_id (newsletter_id),
  PRIMARY KEY (id)
);;

DROP TABLE IF EXISTS {$db_prefix}_newsletter_emails;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_newsletter_emails (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3') NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  surname varchar(64) NOT NULL default '',
  title varchar(32) NOT NULL default '',
  reference varchar(8) NOT NULL default '',
  firme varchar(64) NOT NULL default '',
  email varchar(127) default NULL,
  target_group_id int(4) default '0',
  ui_lang varchar(2) NOT NULL default 'de',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  UNIQUE KEY email (email)
);;

DROP TABLE IF EXISTS {$db_prefix}_news;;
CREATE TABLE {$db_prefix}_news (
    id int(4) NOT NULL AUTO_INCREMENT,
    status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
    user varchar(127) NOT NULL,
    category_id int(11) NOT NULL DEFAULT '0',
    title varchar(255),
    description varchar(255) NOT NULL,
    full_description text,
    image varchar(255),
    priority int(4) NOT NULL DEFAULT '0',
    theme_id int(1) NOT NULL DEFAULT '0',
    ui_lang varchar(2) NOT NULL default 'de',
    starttime int(11) NOT NULL DEFAULT '1300000000',
    createtime int(11) NOT NULL DEFAULT '0',
    modifytime int(11) NOT NULL DEFAULT '0',
    KEY category_id (category_id),
    PRIMARY KEY (id)
);;
INSERT INTO {$db_prefix}_news VALUES
('1', '1', 'Administrator ', '596', 'News: letzte Version des CMS', 'download http://zapms.de', '', '', '100', '0', 'de', '1368425160', '1336934791', '1336935297');;

DROP TABLE IF EXISTS {$db_prefix}_comments;;
CREATE TABLE {$db_prefix}_comments (
    id int(4) NOT NULL AUTO_INCREMENT,
    status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
    weight int(4) NOT NULL DEFAULT '0',
    value int(4) NOT NULL DEFAULT '0',
    category_id int(11) NOT NULL DEFAULT '0',
    page_link varchar(255),
    name varchar(64),
    comments text,
    ui_lang varchar(2) NOT NULL default 'de',
    createtime int(11) NOT NULL default '0',
    modifytime int(11) NOT NULL default '0',
    ip varchar(15) NOT NULL default '0.0.0.0',
    KEY category_id (category_id, page_link),
    PRIMARY KEY (id)
);;

SHOW TABLES
