<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include 'include/constants.php';
include 'include/in.php';

// include CONFIG
include_once MODUL_DIR.'config/Config.php';
$cfg_obj = new Config(DB_PREFIX);
$cfg_global = $cfg_obj->getConfigInfo(1);

// include MENU
include_once MODUL_DIR.'core/Menu.php';
$menu_obj = new Menu(DB_PREFIX);

// include GALERY
include_once MODUL_DIR.'galery/Galery.php';
$gal_obj = new Galery(DB_PREFIX);

$menu_obj->setFilterByActive(1);
$menu_obj->setFilterByNotSourcetype('folder');
$menu_obj->setFilterByNotSourcetype('url');
$menu_obj->setFilterByNotName('PayPal_success');
$menu_obj->setFilterByNotName('PayPal_cancel');
$menu_obj->setFilterByNotName('PayPal_ipn');
$menu_obj->setFilterByNotName('Sofort_success');
$menu_obj->setFilterByNotName('Sofort_cancel');
$menu_obj->setFilterByNotName('Sofort_ipn');
$menu_obj->setFilterByNotName('MasterPayment_success');
$menu_obj->setFilterByNotName('MasterPayment_cancel');
$menu_obj->setFilterByNotName('MasterPayment_ipn');
$menu_array = $menu_obj->getMenuArray();

$sitemap_str = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
$sitemap_str.= "<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\"";
$sitemap_str.= " xmlns:image=\"http://www.google.com/schemas/sitemap-image/1.1\">\n";

foreach ($menu_array as $key => $m_array) {
	$sitemap_str.= "<url>\n";
	$sitemap_str.= "<loc>".$cfg_global['site_url']."/".$m_array['name']."</loc>\n";
	$sitemap_str.= "<lastmod>".date('Y-m-d', $m_array['modifytime'])."</lastmod>\n";
	$sitemap_str.= "<changefreq>weekly</changefreq>\n";
	//$sitemap_str.= "<priority>0.5</priority>\n";
	$gal_obj->resetFilter();
	$gal_obj->setFilterNotStatus();
	$gal_obj->setSearchFolderId($m_array['id']);
	$img_array = $gal_obj->getGaleryArray();
	foreach ($img_array as $k => $i_array) {
		$sitemap_str.= "<image:image>\n";
		$sitemap_str.= " <image:loc>".$cfg_global['site_url']."/".$cfg_global['usr_img'].$i_array['filename']."</image:loc>\n";
		$sitemap_str.= " <image:caption>".$i_array['caption']."</image:caption>\n";
		$sitemap_str.= "</image:image>\n";
	}
	$sitemap_str.= "</url>\n";
}
$sitemap_str.= "</urlset>";

include 'include/out.php';

header('Content-Type: text/xml');
header('Content-Disposition: inline; filename="sitemap.xml"');
header('Content-Length: '.strlen($sitemap_str));

echo $sitemap_str;

unset($menu_obj);
unset($gal_obj);
unset($cfg_obj);
unset($sitemap_str);
?>
