<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 1;

$fm_details_var = array(
	'dir' => '', 'dir_new' => '', 'name' => '', 'name_new' => '', 'ext' => '', 'attr' => '');

$fm_upload_var = array(
	'name' => '', 'tmp_name' => '', 'type' => '', 'size' => '', 'error' => '');

while( list($var, $param) = @each($fm_details_var) ) {
	if (!empty($_POST[$var]) || !empty($_GET[$var]))
		$fm_details_var[$var] = trim((!empty($_POST[$var])) ? $_POST[$var] : $_GET[$var]);
}

// INCLUDE FILE MANAGER
include_once MODUL_DIR.'fm/Fm.php';
$fm_obj = new Fm($site_dir.$fm_dir);

// Directory Verifying
preg_match('/[^\w\-\/\.\ ]|\.\./', $fm_details_var['dir'], $dir_validate);
if (isset($dir_validate[0]) || !$fm_obj->setCurrentPath($fm_details_var['dir']))
	$error_msg .= 'Wrong directory. ';

$success = 0;

$ext = $fm_details_var['ext'];
$name = $fm_details_var['name'];
$name_new = $fm_details_var['name_new'];
$dir = $fm_details_var['dir'];
$dir_new = $fm_details_var['dir_new'];
$file_name = $name.(($ext) ? ('.'.$ext) : (''));
$file_name_new = $name_new.(($ext) ? ('.'.$ext) : (''));
$attr = $fm_details_var['attr'];
// ASSIGN PATH
assignArray($fm_obj->getPathArray(), 'path_array');

// include DEFAULT SETTINGS
$smarty->assign('preview_size', $preview_size);

switch ($action) {
	case 'delete':
		// DELETE DEIRECTORY
		if ($subaction == 'dir') {
			if ($fm_obj->deleteDir($file_name)) {
				$warning_msg .= $LOCAL_WARN_MSG['fm_dir_deleted'];
				$success = 1;
			} else
				$error_msg .= $LOCAL_WARN_MSG['fm_dir_notempty'];
		}
		// DELETE FILE
		if ($subaction == 'file') {
			if ($fm_obj->deleteFile($file_name)) {
				$warning_msg .= $LOCAL_WARN_MSG['fm_file_deleted'].' '.$file_name;
				$success = 1;
			} else
				$error_msg .= $LOCAL_WARN_MSG['fm_file_notdeleted'].' '.$file_name;
		}
		$action = 'list';
	
	case 'list':
		$files_array = $fm_obj->getFilesArray();
		// ASSIGN
		if (sizeof($files_array)) {
			assignArray($files_array, 'files_list');
			unset($files_array);
		} else {
			$warning_msg .= $LOCAL_WARN_MSG['fm_dir_empty'];
		}
		$view_mode = 1;
	break;
//------------------------------------------------------------
	case 'details':
		// FILE / DIR / DETAILS
		if ($subaction == 'dir' || $subaction == 'file') {
			$fm_details_var['attr'] = $fm_obj->getAttributes($file_name);
			$fm_details_var['name_new'] = $name;
			// ASSIGN
			assignArray($fm_details_var, 'details');
			if ($subaction == 'dir')
				$tpl = 'fm_details_dir.tpl';
			if ($subaction == 'file')
				$tpl = 'fm_details_file.tpl';
			$view_mode = 2;
		}
		// FILE COPY
		if ($subaction == 'copy') {
			$fm_details_var['attr'] = $fm_obj->getAttributes($file_name);
			$fm_details_var['name_new'] = $name;
			$fm_details_var['dir_new'] = $dir;
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$tpl = 'fm_copy_file.tpl';
			$view_mode = 2;
		}
		// UPLOAD
		if ($subaction == 'upload') {
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$tpl = 'fm_upload.tpl';
			$view_mode = 2;
		}
		// DISPLAY DOCUMENT
		if ($subaction == 'mceedit' || $subaction == 'txtedit') {
			if ($name) {
				$fm_details_var['name_new'] = $name;
				$fm_details_var['attr'] = $fm_obj->getAttributes($file_name);
				$editor_content = $fm_obj->getContent($file_name, $fm_details_var['attr']);
				if ($fm_details_var['ext'] == 'php' || $fm_details_var['ext'] == 'js') {
					if (strpos($editor_content,'\''))
						$error_msg .= $LOCAL_WARN_MSG['fm_doc_apostrophe'];
				}
			}
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$smarty->assign('editor_content', html_replace($editor_content)); // show and replace all htmls
			unset($editor_content);
			if ($subaction == 'mceedit')
				$tpl = 'fm_mceeditor.tpl';
			if ($subaction == 'txtedit')
				$tpl = 'fm_txteditor.tpl';
			$view_mode = 1;
			$action = 'list';
		}
		// DOWNLOAD DOCUMENT
		if ($subaction == 'download') {
			$fm_details_var['attr'] = $fm_obj->getAttributes($file_name);
			if ($fm_obj->downloadFile($name, $ext, $fm_details_var['attr'])) {
				$success = 1;
				$warning_msg .= $LOCAL_WARN_MSG['fm_file_downloaded'].' '.$file_name;
			} else
				$error_msg .= $LOCAL_WARN_MSG['fm_file_notdownloaded'].' '.$file_name;
			// ASSIGN
			$tpl = 'fm_download.tpl';
			$view_mode = 2;
		}
		// DISPLAY EMAIL CODE
		if ($subaction == 'email') {
			// ASSIGN
			$tpl = 'fm_code_email.tpl';
			$view_mode = 2;
		}
		// DISPLAY PREVIEW
		if ($subaction == 'preview') {
			// show preview
			include_once 'inc_details_preview.php';
		}
	break;
//------------------------------------------------------------
	case 'create':
		// DIRECTORY
		if ($subaction == 'dir') {
			$validate_array = validateNameAttr($action);
			if ($validate_array['valid']) {
				if ($fm_obj->makeDir($name_new, $attr)) {
					$warning_msg .= $LOCAL_WARN_MSG['fm_dir_created'].' '.$name_new;
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_dir_notcreated'].' '.$name_new;
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$tpl = 'fm_details_dir.tpl';
			$view_mode = 2;
		}
		// UPLOAD
		if ($subaction == 'upload' || $subaction == 'upload_close') {
			$validate_array = validateUpload();
			if ($validate_array['valid']) {
				if ($fm_obj->uploadFile($fm_upload_var['tmp_name'], $fm_upload_var['name'], $fm_details_var['attr'])) {
					$warning_msg .= $LOCAL_WARN_MSG['fm_file_uploaded'].' '.$fm_upload_var['name'];
					$success = ($subaction == 'upload_close')?(2):(1);
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_file_notuploaded'].' '.$fm_upload_var['name'];
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$tpl = 'fm_upload.tpl';
			$view_mode = 2;
		}
		// SAVE DOCUMENT
		if ($subaction == 'mcecontent' || $subaction == 'txtcontent') {
			$editor_content = stripslashes($_POST['editor_content']);
			$editor_content = emailToUnicode($editor_content);
			
			$validate_array = validateNameAttr($action);
			if ($validate_array['valid']) {
				if ($fm_obj->saveContent($file_name_new, code_decode($editor_content), $attr)) { // save and replace only code
					$fm_details_var['name'] = $name_new;
					$warning_msg .= $LOCAL_WARN_MSG['fm_doc_created'].' '.$file_name_new;
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_doc_notcreated'].' '.$file_name_new;
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$smarty->assign('editor_content', html_replace($editor_content)); // show and replace htmls
			unset($editor_content);
			if ($subaction == 'mcecontent')
				$tpl = 'fm_mceeditor.tpl';
			if ($subaction == 'txtcontent')
				$tpl = 'fm_txteditor.tpl';
			$view_mode = 1;
			$action = 'list';
		}
		if ($subaction == 'emailcode') {
			$string_encode = "document.write(\"<a href='mailto:".$fm_details_var['ext']."'>".$fm_details_var['ext']."</a>\");";
			for ($x=0; $x < strlen($string_encode); $x++)
				$js_mail_encode .= '%' . bin2hex($string_encode[$x]);
			$warning_msg .=  "<textarea cols=\"50\" rows=\"7\"><script type=\"text/javascript\" language=\"javascript\">eval(unescape(\"$js_mail_encode\"));</script></textarea>";
			// ASSIGN
			assignArray($fm_details_var['ext'], 'ext');
			$tpl = 'fm_code_email.tpl';
			$view_mode = 2;
		}
	break;
//------------------------------------------------------------
	case 'edit':
		// SAVE DIR/FILE
		if ($subaction == 'dir' || $subaction == 'file') {
			$validate_array = validateNameAttr($action);
			if ($validate_array['valid']) {
				if ($fm_obj->renameDirFile($file_name, $file_name_new)) {
					if ($fm_obj->setPermissions($file_name_new, $attr)) {
						$fm_details_var['name'] = $name_new;
						$warning_msg .= $LOCAL_WARN_MSG['fm_attr_updated'];
						$success = 1;
					} else
						$error_msg .= $LOCAL_WARN_MSG['fm_attr_notupdated'];
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_entry_exist'];
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($fm_details_var, 'details');
			if ($subaction == 'dir')
				$tpl = 'fm_details_dir.tpl';
			if ($subaction == 'file')
				$tpl = 'fm_details_file.tpl';
				$view_mode = 2;
		}
		// COPY FILE
		if ($subaction == 'copy') {
			$fm_obj->setCurrentPath('');
			$validate_array = validateNameAttr($action);
			if ($validate_array['valid']) {
				if ($fm_obj->copyFile($dir.$file_name, $dir_new.$file_name_new)) {
					$fm_details_var['name'] = $name_new;
					$warning_msg .= $LOCAL_WARN_MSG['fm_file_copied'].' '.$dir_new.$file_name_new;
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_file_notcopied'].' '.$dir_new.$file_name_new;
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($fm_details_var, 'details');
			$tpl = 'fm_copy_file.tpl';
			$view_mode = 2;
		}
		// UPDATE DOCUMENT
		if ($subaction == 'mcecontent' || $subaction == 'txtcontent' || $subaction == 'saveandclose' || $subaction == 'txtsaveandclose') {
			$editor_content = $_POST['editor_content']; // without strips
			$editor_content = emailToUnicode($editor_content);
			$editor_content = linkToLytebox($editor_content);
			
			$validate_array = validateNameAttr($action);
			if ($validate_array['valid']) {
				if ($fm_obj->saveContent($file_name_new, code_decode($editor_content), $attr)) { // save and replace only code
					$fm_details_var['name'] = $name_new;
					$warning_msg .= $LOCAL_WARN_MSG['fm_doc_updated'].' '.$file_name_new;
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['fm_doc_notupdated'].' '.$file_name_new;
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			$files_array = $fm_obj->getFilesArray();
			// save and close
			if ($subaction == 'saveandclose' || $subaction == 'txtsaveandclose') {
				if (sizeof($files_array)) {
					assignArray($files_array, 'files_list');
					unset($files_array);
				} else {
					$warning_msg .= $LOCAL_WARN_MSG['fm_dir_empty'];
				}
			} else {
				assignArray($fm_details_var, 'details');
				$smarty->assign('editor_content', html_replace($editor_content)); // show and replace all htmls
				unset($editor_content);
				if ($subaction == 'mcecontent') 
					$tpl = 'fm_mceeditor.tpl';
				if ($subaction == 'txtcontent')
					$tpl = 'fm_txteditor.tpl';
			}
			$view_mode = 1;
			$action = 'list';
		}
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'core_error.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->assign('success', $success);
		$smarty->assign('SID', $SID);
		$smarty->assign('zap_theme', $zap_theme);
		$smarty->display((($tpl) ? ($tpl) : ('fm_details_dir.tpl')));
	} else {
		$right_frame = ($tpl) ? ($tpl) : ('fm_list.tpl');
	}
//------------------------------------------------------------
// validation of FILE DIR
function validateNameAttr($action = 'create') {
	global $ui_lang, $fm_details_var, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
	$valid = 0;
	if (!$fm_details_var['name_new'] || !$fm_details_var['attr']) {
		$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
	} else {
		preg_match('/[\w\-\.\/\ ]*/', $fm_details_var['name_new'], $name_validate);
		//print_r($name_validate);
		if ($name_validate[0] != $fm_details_var['name_new'])
			$error_msg .= $LOCAL_WARN_MSG['fm_name_accept'];
		if (!preg_match('/0[0-7]{3}/', $fm_details_var['attr']))
			$error_msg .= $LOCAL_WARN_MSG['fm_wrong_attr'];
		if ($action == 'edit' && !$fm_details_var['name_new'])
			$error_msg .= $LOCAL_WARN_MSG['fm_name_missed'];
		if (!$error_msg)
			$valid = 1;
	}
	return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}

//------------------------------------------------------------
// validation of UPLOADED FILE
function validateUpload() {
	global $ui_lang, $fm_upload_var, $_FILES, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
	$valid = 0;
	while(list($var, $param) = @each($fm_upload_var)) {
		if (!empty($_FILES['file'][$var]))
			$fm_upload_var[$var] = html_replace(trim($_FILES['file'][$var]));
	}
	preg_match('/[\w\-\.\/\ ]*/', $fm_upload_var['name'], $name_validate);
	if ($name_validate[0] != $fm_upload_var['name'])
		$error_msg .= $LOCAL_WARN_MSG['fm_name_accept'];
	if (!$fm_upload_var['tmp_name']) {
		$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
	}
	if (!$error_msg)
		$valid = 1;

	return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}
//------------------------------------------------------------


?>
