<?php
/* ==================================================== ##
##             COPYRIGHTS  ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 0;

if (!empty($_POST['details_id']) || !empty($_GET['details_id']))
$details_id = (!empty($_POST['details_id'])) ? $_POST['details_id'] : $_GET['details_id'];
if (!is_numeric($details_id)) $details_id = 0;

$guestbook_var = array(
    'id' => '', 'status' => '', 'name' => '', 'email' => '', 'web' => '', 'state' => '', 'message' => '', 'ip' => '',
	'ui_lang' => '', 'createtime' => '', 'modifytime' => '');

$search_var = array(
    'name' => '', 'email' => '', 'message' => '', 'web' => '', 'state' => '', 'status' => '', 'ui_lang' => '', 'sort' => '', 'page' => '');

$sort_list = array(
    '0' => array('id' => 'up_id', 'title' => 'ID down'),
    '1' => array('id' => 'dw_id', 'title' => 'ID up'),
    '2' => array('id' => 'up_name', 'title' => 'Name down'),
    '3' => array('id' => 'dw_name', 'title' => 'Name up'),
    '4' => array('id' => 'up_web', 'title' => 'Web ID down'),
    '5' => array('id' => 'dw_web', 'title' => 'Web ID up')
    );
assignArray($sort_list, 'sort_list');

$success = 0;
$guestbook_db_var = array();

// GET CONFIG DATA
$gsb_list = (!empty($gsb_list)) ? ($gsb_list) : (10);

// gsb_status - status_list
$tmp = explode(';', $gsb_status);
for ($i=0; $i<sizeof($tmp); $i++) {
    $tmp_var = explode('=', $tmp[$i]);
    $gsb_status_array[$i] = array('id' => trim($tmp_var[0]), 'title' => trim($tmp_var[1]));
}
assignArray($gsb_status_array, 'status_list');

// INCLUDE CLIENTS
include_once MODUL_DIR.'guestbook/Guestbook.php';
$gbook_obj = new Guestbook(DB_PREFIX);

switch ($action) {
    case 'delete':
        if ($details_id) {
            if ($gbook_obj->deleteGuestbook($details_id)) {
                $warning_msg .= $LOCAL_WARN_MSG['guestbook_deleted'];
            } else
                $error_msg .= $LOCAL_WARN_MSG['guestbook_notdeleted'];
        }
        $action = 'list';
//------------------------------------------------------------
    case 'list':
        if ($subaction == 'search') {
            // save search options into db
            $search_var = trimRequestValues($search_var);
            $search_s = '\''.implodeRequestValues($search_var).'\'';
            $profils_obj->setFilterByParam('gsb_sort');
            $profils_obj->updateProfils(array('value' => $search_s));
        } else {
            $search_s = $cfg_profil['gsb_sort'];
            $search_var = explodeRequestValues($search_s);
        }
        // assign search options
        assignArray($search_var, 'details_search');
        // set search options
        $gbook_obj->resetFilter();
        $gbook_obj->setSearch($search_var);
        
        // INCLUDE PAGER
        include_once MODUL_DIR.'core/Pager.php';
        $guestbook_total = $gbook_obj->getCountGuestbook();

        $pager_obj = new Pager($guestbook_total, $gsb_list);
	if (isset($search_var['page'])) $pager_obj->page = $search_var['page'];
        if (!$guestbook_total)
            $warning_msg .= $SYS_WARN_MSG[$ui_lang]['no_results'];
        // assign pager
        assignArray($pager_obj->getPagerInfo(), 'details_pager');
        $pager_limit = $pager_obj->getPagerLimit();
        $gbook_obj->setLimit($pager_limit['start'], $pager_limit['count']);

        assignArray($gbook_obj->getGuestbookArray(), 'guestbook_list');
        $view_mode = 1;
        
    break;
//------------------------------------------------------------
    case 'details':
        if ($details_id) {
            $details = $gbook_obj->getGuestbook($details_id);
            // assign variables
            assignArray($details, 'details');
            //print_r($details);
        }
        $view_mode = 2;
    break;
//------------------------------------------------------------
    case 'create':
	if ($subaction == 'csv') {
		// create CSV
		include_once 'inc_guestbook_create_csv.php';
	}
	if ($subaction == 'guestbook') {
		$validate_array = validateGuestbook($action);
		// ADD NEW MESSAGE
		if ($validate_array['valid']) {
		    $details_id = $gbook_obj->insertGuestbook($guestbook_db_var);
		    if ($details_id) {
		        $guestbook_var = $gbook_obj->getGuestbook($details_id);
		        $warning_msg .= $LOCAL_WARN_MSG['guestbook_created'];
		        $success = 1;
		    } else
		        $error_msg .= $LOCAL_WARN_MSG['guestbook_notcreated'];
		} else
		    $error_msg .= $validate_array['error_msg'];
		// ASSIGN
		assignArray($guestbook_var, 'details');
	}
        $view_mode = 2;
    break;
//------------------------------------------------------------
    case 'edit':
	if ($subaction == 'guestbook' || $subaction == 'save_close') {
		$validate_array = validateGuestbook($action);
		// MODIFY
		if ($validate_array['valid']) {
			// modify client info
			$gbook_obj->setFilterById($details_id);
			if ($gbook_obj->updateGuestbook($guestbook_db_var)) {
				$guestbook_var = $gbook_obj->getGuestbook($details_id);
				$warning_msg .= $LOCAL_WARN_MSG['guestbook_updated'];
				if ($subaction == 'save_close')
					$success = 2;
				else
					$success = 1;
			} else
				$error_msg .= $LOCAL_WARN_MSG['guestbook_notupdated'];
		} else
			$error_msg .= $validate_array['error_msg'];
		// ASSIGN
		assignArray($guestbook_var, 'details');
	}
        $view_mode = 2;
    break;
//------------------------------------------------------------
    default:
        $error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
        $tpl = 'core_error.tpl';
        $action = 'list';
        $view_mode = 1;
}

//------------------------------------------------------------
// VIEW
    if ($view_mode > 1) {
        $smarty->assign('error_msg', $error_msg);
        $smarty->assign('warning_msg', $warning_msg);
        $smarty->assign('success', $success);
        $smarty->assign('SID', $SID);
        $smarty->assign('zap_theme', $zap_theme);
        $smarty->display((($tpl) ? ($tpl) : ('guestbook_details.tpl')));
    } else {
        $right_frame = ($tpl) ? ($tpl) : ('guestbook_list.tpl');
    }
//------------------------------------------------------------
// validation
function validateGuestbook($action = 'create') {
    global $ui_lang, $guestbook_var, $guestbook_db_var, $_POST, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
    $valid = 0;
    $guestbook_var = trimRequestValues($guestbook_var);
    //print_r($guestbook_var);
    // verify
    if (!$guestbook_var['name'] || !$guestbook_var['ip'] || !$guestbook_var['message'])
        $error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
    else {
        if ($action == 'edit' && !$guestbook_var['id'])
            $error_msg .= $LOCAL_WARN_MSG['guestbook_noid'];
        else {
            // PREPARING TO UPDATE
            if ($action == 'create')
                $guestbook_var['createtime'] = time();
            $guestbook_var['modifytime'] = time();
            
            $guestbook_db_var['createtime'] = $guestbook_var['createtime'];
            $guestbook_db_var['modifytime'] = $guestbook_var['modifytime'];
            $guestbook_db_var['name'] = '\''.$guestbook_var['name'].'\'';
            $guestbook_db_var['state'] = '\''.$guestbook_var['state'].'\'';
            $guestbook_db_var['email'] = '\''.$guestbook_var['email'].'\'';
            $guestbook_db_var['web'] = '\''.$guestbook_var['web'].'\'';
            $guestbook_db_var['ip'] = '\''.$guestbook_var['ip'].'\'';
			$guestbook_db_var['ui_lang'] = '\''.$guestbook_var['ui_lang'].'\'';
            $guestbook_db_var['message'] = '\''.$guestbook_var['message'].'\'';
            if (!$guestbook_var['status'])
                $guestbook_var['status'] = 0;
            $guestbook_db_var['status'] = '\''.$guestbook_var['status'].'\'';
            $valid = 1;
        }
    }
    return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}

?>
