<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 0;

if (!empty($_POST['details_id']) || !empty($_GET['details_id']))
$details_id = (!empty($_POST['details_id'])) ? $_POST['details_id'] : $_GET['details_id'];
if (!is_numeric($details_id)) $details_id = 0;

$role_details_var = array(
	'id' => '', 'role' => '', 'description' => '');

$success = 0;
$role_db_var = array();
$dtree_ids = array();
$role_attr = array();

// include ROLES LIST
include_once MODUL_DIR.'roles/Roles.php';
$roles_obj = new Roles(DB_PREFIX);
$dtree_obj = new Dtree(DB_PREFIX);

switch ($action) {
	case 'delete':
		if ($details_id) {
			$roles_obj->setFilterUsersRolesByRoleId($details_id);
			if (!$roles_obj->getCountUsersRoles()) {
				if ($roles_obj->deleteDtreeRoles($details_id)) {
					if ($roles_obj->deleteRoles($details_id)) {
						$warning_msg .= $LOCAL_WARN_MSG['role_deleted'];
					} else
						$error_msg .= $LOCAL_WARN_MSG['role_notdeleted'];
				} else
					$error_msg .= $LOCAL_WARN_MSG['role_notdeleted'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['role_users'];
		}
		$action = 'list';

	case 'list':
		$roles_obj->resetFilter();
		assignArray($roles_obj->getRolesArray(), 'roles_list');
		//print_r($roles_obj->getRolesArray());
		$view_mode = 1;
	break;
	
	case 'details':
		// ROLE MANAGE LIST
		if( $subaction == 'manage_role') {
			$roles_entry_array = $roles_obj->makeRolesEntryArray($details_id);
			assignArray($roles_obj->getRole($details_id), 'role_info');
			assignArray($roles_entry_array, 'entry_list');
			$smarty->assign('entry_level_data', $roles_obj->getEntryIDsJS($roles_entry_array));
			$tpl = 'roles_manage.tpl';
			$action = 'list';
			$view_mode = 1;
		}
		// DETAILS ROLE
		if ($subaction == 'role') {
			if ($details_id) {
				$details = $roles_obj->getRole($details_id);
				// assign variables
				assignArray($details, 'details');
			}
		$view_mode = 2;
		}
	break;
	
	case 'create':
		// ADD NEW ROLE
		if ($subaction == 'role') {
			$validate_array = validateRole($action);
			if ($validate_array['valid']) {
				// add role info
				if ($roles_obj->insertRoles($role_db_var)) {
					$dtree_ids = $dtree_obj->getDtreeIds();
					foreach($dtree_ids as $dtree_id) {
						//print_r($dtree_id);
						$roles_obj->insertDtreeRoles($dtree_id, $role_details_var['role']);
					}
					$warning_msg .= $LOCAL_WARN_MSG['role_created'];
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['role_notcreated'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['role_notcreated'];
		}
		// ADD NEW ROLE
		assignArray($role_details_var, 'details');
		$view_mode = 2;
	break;
	
	case 'edit':
		// MODIFY ROLE RIGHTS
		if ($subaction == 'manage_role') {
			$new_dtree_obj = new Dtree(DB_PREFIX);
			$role_dtree = $new_dtree_obj->getDtreeArray();
			$role_id = (!empty($_POST['role_id'])) ? $_POST['role_id'] : '0';			
			for ($i = 0; $i < count($role_dtree); $i ++) {
				$attr = (!empty($_POST[$role_dtree[$i]['entry_id']])) ? $_POST[$role_dtree[$i]['entry_id']] : '0';	
				$success = 1;
				if ($roles_obj->updateDTreeRoles($role_id, $role_dtree[$i]['entry_id'], $attr)) {
				} else
					$success = 0;
			}
			if($success == 1)
				$warning_msg .= $LOCAL_WARN_MSG['role_rights_updated'];
			else
				$error_msg .= $LOCAL_WARN_MSG['role_rights_notupdated'];
			
			$roles_entry_array = $roles_obj->makeRolesEntryArray($details_id);
			$smarty->assign('entry_level_data', $roles_obj->getEntryIDsJS($roles_entry_array));
			
			assignArray($roles_obj->getRole($details_id), 'role_info');
			assignArray($roles_obj->makeRolesEntryArray($details_id), 'entry_list');
			$tpl = 'roles_manage.tpl';
			$action = 'list';
			$view_mode = 1;
		}
		
		// MODIFY ROLE
		if ($subaction == 'role') {
			$validate_array = validateRole($action);
			if ($validate_array['valid']) {
				// modify role info
				if ($roles_obj->updateRoles($role_db_var, $details_id)) {
					$warning_msg .= $LOCAL_WARN_MSG['role_updated'];
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['role_notupdated'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['role_notupdated'];
			// MODIFY ROLE
			assignArray($role_details_var, 'details');
			$view_mode = 2;
		}
	break;

	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'core_error.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->assign('success', $success);
		$smarty->assign('SID', $SID);
		$smarty->assign('zap_theme', $zap_theme);
		$smarty->display((($tpl) ? ($tpl) : ('roles_details.tpl')));
	} else {
		$right_frame = ($tpl) ? ($tpl) : ('roles_list.tpl');
	}
//------------------------------------------------------------
// validation
function validateRole($action = 'create') {
	global $ui_lang, $role_details_var, $role_db_var, $_POST, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
	$valid = 0;
	while( list($var, $param) = @each($role_details_var) ) {
		if ( !empty($_POST[$var]) )
			$role_details_var[$var] = html_replace(trim($_POST[$var]));
	}
	if (!$role_details_var['role']) {
		$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
	} else {
		if ($action == 'edit' && !$role_details_var['id'])
			$error_msg .= $LOCAL_WARN_MSG['role_noid'];
		else {
			// PREPARING TO UPDATE
			$role_db_var['role'] = '\''.$role_details_var['role'].'\'';
			$role_db_var['description'] = '\''.$role_details_var['description'].'\'';
			$valid = 1;
		}
	}
	return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}


?>
